Page MenuHomeFreeBSD

New port: www/ffsend: Easily and securely share files from the command line via Firefox Send
ClosedPublic

Authored by 0mp on Apr 26 2019, 6:38 PM.

Details

Summary
New port: www/ffsend: Easily and securely share files from the command line via Firefox Send

Easily and securely share files and directories from the command line through a
safe, private and encrypted link using a single simple command.  Files are
shared using the Send service and may be up to 2GB. Others are able to download
these files with this tool, or through their web browser.

WWW: https://gitlab.com/timvisee/ffsend
Test Plan
  • portlint
  • manual testing on 13.0-CURRENT amd64
  • poudriere testport 12.0 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tobik added inline comments.
www/ffsend/Makefile
16 ↗(On Diff #56725)

I have only briefly looked at the repository but does

post-patch:
	@${REINPLACE_CMD} 's,"linux","${OPSYS:tl}",g' ${WRKSRC}/build.rs \
		${WRKSRC}/Cargo.toml ${WRKSRC}/src/action/debug.rs ${WRKSRC}/src/util.rs

not work in the meantime?

25–26 ↗(On Diff #56725)

Use MAKE_ENV instead.

  • Use MAKE_ENV instead of CARGO_ENV
  • Use post-patch from tobik to bring in clipboard support
  • Define licenses
0mp marked 2 inline comments as done.Apr 29 2019, 8:46 PM
0mp added inline comments.
www/ffsend/Makefile
16 ↗(On Diff #56725)

You've nailed it! Thank you!

www/ffsend/Makefile
16 ↗(On Diff #56725)

Great!

21 ↗(On Diff #56831)

This should be x11/xsel-conrad, not x11/xsel. x11/xsel-conrad is what Linux distributions provide as their xsel package. x11/xsel is not fully compatible with it.

I'm planning to remove or rename x11/xsel soon to make sure porters and users are no longer surprised by this (PR 237413).

23 ↗(On Diff #56831)

USES=pkgconfig can be removed. It is already implied by CARGO_CRATES=pkgconfig-0.3.14

www/ffsend/Makefile
294–296 ↗(On Diff #56831)

Running sed only once:

cd ${WRKSRC} && @${REINPLACE_CMD} 's,"linux","${OPSYS:tl}",g' build.rs Cargo.toml src/action/debug.rs src/util.rs
0mp marked an inline comment as done.
  • Do not use for loop in post-patch.
  • Switch to xsel-conrad
  • Remove pkgconfig from USES
0mp marked 4 inline comments as done.May 2 2019, 1:14 PM
0mp added inline comments.
www/ffsend/Makefile
21 ↗(On Diff #56831)

ACK

This revision was not accepted when it landed; it landed in state Needs Review.May 2 2019, 4:06 PM
This revision was automatically updated to reflect the committed changes.
0mp marked an inline comment as done.